## kanagram 4.13.3

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

####### Kanagram Engine ########
add_subdirectory(engine)

if(BUILD_KANAGRAM_DESKTOP)
    find_package(KDE4)
    if(KDE4_FOUND)
        include_directories(${KDE4_INCLUDES})
        add_subdirectory(desktop)
    else(KDE4_FOUND)
        message(STATUS "KDE libraries are not found - not building the KDE Desktop frontend")
    endif(KDE4_FOUND)
endif()

if(BUILD_KANAGRAM_HARMATTAN)
    if(QT_QTDECLARATIVE_FOUND)
        add_subdirectory(harmattan)
    else(QT_QTDECLARATIVE_FOUND)
        message(WARNING "Qt installation lacks Qt Declarative - disabling harmattan based frontend")
    endif(QT_QTDECLARATIVE_FOUND)
endif()

if(BUILD_KANAGRAM_PLASMA_ACTIVE)
    find_package(KDE4)
    if(KDE4_FOUND)
        include_directories(${KDE4_INCLUDES})
        add_subdirectory(plasma-active)
    else(KDE4_FOUND)
        message(STATUS "KDE libraries are not found - disable the Plasma Active frontend")
    endif(KDE4_FOUND)
endif()

=== src/desktop/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LIBKDEEDU_INCLUDE_DIR}
    ${KANAGRAM_ENGINE_INCLUDE_DIRS}
    ${KDE4_INCLUDES}
)

set(kanagramdesktop_SRCS
    main.cpp
    kanagram.cpp
    mainsettings.cpp
    vocabsettings.cpp
    vocabedit.cpp
)

kde4_add_ui_files(kanagramdesktop_SRCS
    vocabsettingswidget.ui
    vocabeditwidget.ui
    mainsettingswidget.ui
)

# there is no kanagram icon in oxygen
#kde4_add_app_icon(kanagramdesktop_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/kanagram.png")
kde4_add_app_icon(kanagramdesktop_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../../icons/hi*-app*-kanagram.png")

kde4_add_executable(kanagram ${kanagramdesktop_SRCS})
add_dependencies(kanagram kvtml_data)

target_link_libraries(kanagram
    ${KDE4_KNEWSTUFF3_LIBS}
    ${KDE4_PHONON_LIBS}
    ${QT_QTXML_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${LIBKDEEDU_KEDUVOCDOCUMENT_LIBRARIES}
    ${KANAGRAM_ENGINE_LIBRARIES}
)

install(TARGETS kanagram ${INSTALL_TARGETS_DEFAULT_ARGS})

if(NOT APPLE)
    install(PROGRAMS
            kanagram.desktop
            DESTINATION
            ${XDG_APPS_INSTALL_DIR}
    )

    kde4_install_icons(${ICON_INSTALL_DIR})
endif()

## kanagram 4.7.1

=== debian/changelog ===
kanagram (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:13:02 +0200

kanagram (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 10:04:05 -0400

kanagram (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Use wildcard in install file so we do not need to worry about not-installed

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 23 Jul 2011 14:17:41 +0200

kanagram (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Jul 2011 13:28:38 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 pkg-kde-tools (>= 0.14),
 kde-sc-dev-latest (>= 4:4.7.1),
 libkdeedu-dev (>= 4:4.7)
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram

Package: kanagram
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: jumble word puzzle for KDE
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

Package: kanagram-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<= 4:4.6.80)
Replaces: kdeedu-dbg (<= 4:4.6.80)
Depends: ${misc:Depends}, kanagram (= ${binary:Version})
Description: debugging symbols for kanagram
 This package contains debugging files used to investigate problems with
 binaries included in kanagram.

## kanagram 4.7.2

=== debian/changelog ===
kanagram (4:4.7.2-1) experimental; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:56 -0300

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: debhelper (>= 7.3.16),
 cmake,
 pkg-kde-tools (>= 0.14),
 kde-sc-dev-latest (>= 4:4.7.2),
 libkdeedu-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kanagram.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kanagram.git

Package: kanagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdeedu-kvtml-data
Suggests: khelpcenter4
Description: jumble word puzzle for KDE
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 4.7.3

=== debian/changelog ===
kanagram (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)
    - Add missing depend on kdeedu-kvtml-data

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 21:38:17 -0500

=== debian/control ===
Source: kanagram
Section: misc
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 pkg-kde-tools (>= 0.14),
 kde-sc-dev-latest (>= 4:4.7.3),
 libkdeedu-dev (>= 4:4.7)
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram

Package: kanagram
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdeedu-kvtml-data
Description: jumble word puzzle for KDE
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

Package: kanagram-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<= 4:4.6.80)
Replaces: kdeedu-dbg (<= 4:4.6.80)
Depends: ${misc:Depends}, kanagram (= ${binary:Version})
Description: debugging symbols for kanagram
 This package contains debugging files used to investigate problems with
 binaries included in kanagram.

## kanagram 4.7.4

=== debian/changelog ===
kanagram (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 10:56:27 +0100

kanagram (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:36:17 +0100

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7.3.16),
 cmake,
 pkg-kde-tools (>= 0.14),
 kde-sc-dev-latest (>= 4:4.7.4),
 libkdeedu-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kanagram.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kanagram.git

Package: kanagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdeedu-kvtml-data
Suggests: khelpcenter4
Description: jumble word puzzle for KDE
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 4.8.2

=== debian/changelog ===
kanagram (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Apr 2012 22:51:57 +0200

kanagram (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:07:15 +0100

kanagram (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:27 +0000

kanagram (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:24 +0000

kanagram (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 19:04:59 +0100

kanagram (4:4.7.90-0ubuntu2) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:56 +0000

kanagram (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:57 +0000

kanagram (4:4.7.2-0r1) UNRELEASED; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Oct 2011 17:44:12 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: debhelper (>= 7.3.16),
 cmake,
 pkg-kde-tools (>= 0.14),
 kde-sc-dev-latest (>= 4:4.8.2),
 libkdeedu-dev (>= 4:4.8.1)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kanagram.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kanagram.git

Package: kanagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdeedu-kvtml-data
Suggests: khelpcenter4
Description: jumble word puzzle for KDE
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

Package: kanagram-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<= 4:4.6.80)
Replaces: kdeedu-dbg (<= 4:4.6.80)
Depends: ${misc:Depends}, kanagram (= ${binary:Version})
Description: debugging symbols for kanagram
 This package contains debugging files used to investigate problems with
 binaries included in kanagram.

## kanagram 4.8.3

=== debian/changelog ===
kanagram (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Tue, 01 May 2012 00:14:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.3.16),
  cmake,
  pkg-kde-tools (>= 0.14),
- kde-sc-dev-latest (>= 4:4.8.2),
+ kde-sc-dev-latest (>= 4:4.8.3),
  libkdeedu-dev (>= 4:4.8.1)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kanagram-dbg

## kanagram 4.8.4

=== debian/changelog ===
kanagram (4:4.8.4-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 01:42:04 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7.3.16),
 cmake,
 pkg-kde-tools (>= 0.14),
 kde-sc-dev-latest (>= 4:4.7.4),
 libkdeedu-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kanagram.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kanagram.git

Package: kanagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdeedu-kvtml-data
Suggests: khelpcenter4
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 4.9.2

=== debian/changelog ===
kanagram (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:11:31 +0100

kanagram (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:16:53 +0530

kanagram (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:02:16 +0100

kanagram (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:04:57 +0200

kanagram (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 13:54:49 +0100

kanagram (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - add libssl-dev to build-dep
    - bump Standards-Version to 3.9.3 (no change)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Tue, 01 May 2012 00:14:21 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: debhelper (>= 7.3.16),
 cmake,
 pkg-kde-tools (>= 0.14), 
 libkdeedu-dev (>= 4:4.9.2),
 libssl-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kanagram.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kanagram.git

Package: kanagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdeedu-kvtml-data
Suggests: khelpcenter4
Description: jumble word puzzle for KDE
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

Package: kanagram-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<= 4:4.6.80)
Replaces: kdeedu-dbg (<= 4:4.6.80)
Depends: ${misc:Depends}, kanagram (= ${binary:Version})
Description: debugging symbols for kanagram
 This package contains debugging files used to investigate problems with
 binaries included in kanagram.

## kanagram 4.9.3

=== debian/changelog ===
kanagram (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:32:09 +0100

## kanagram 4.9.5

=== debian/changelog ===
kanagram (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:21:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.3.16),
  cmake,
  pkg-kde-tools (>= 0.14), 
- libkdeedu-dev (>= 4:4.9.2),
+ libkdeedu-dev (>= 4:4.9.3),
  libssl-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram

## kanagram 4.10.0

=== debian/changelog ===
kanagram (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:32:06 +0000

kanagram (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:58:12 +0000

kanagram (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:25:04 +0100

kanagram (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:17:08 +0000

kanagram (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:37:08 +0000

kanagram (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Remove duplicate copyright field to make lintian happy 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Nov 2012 22:35:09 +0100

kanagram (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:23:03 +0100

kanagram (4:4.7.2-0r1) raring; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Oct 2011 17:44:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.3.16),
  cmake,
  pkg-kde-tools (>= 0.14), 
- libkdeedu-dev (>= 4:4.9.3),
+ libkdeedu-dev (>= 4:4.10.0),
  libssl-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram

## kanagram 4.10.2

=== debian/changelog ===
kanagram (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:37:21 +0200

kanagram (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:14:14 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.3.16),
  cmake,
  pkg-kde-tools (>= 0.14), 
- libkdeedu-dev (>= 4:4.10.0),
+ libkdeedu-dev (>= 4:4.10.2),
  libssl-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram

## kanagram 4.10.4

=== debian/changelog ===
kanagram (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.3.16),
  cmake,
  pkg-kde-tools (>= 0.14), 
- libkdeedu-dev (>= 4:4.10.2),
+ libkdeedu-dev (>= 4:4.10.4),
  libssl-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram

## kanagram 4.11.2

=== debian/changelog ===
kanagram (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:58:45 +0100

kanagram (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:06:28 +0100

kanagram (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:59:03 +0100

kanagram (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:06:49 +0100

kanagram (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:52 +0000

kanagram (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:00:01 +0100

kanagram (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:47:53 +0100

kanagram (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:36:53 +0100

kanagram (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:27 +0000

kanagram (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Update uploaders.
  * Bump build-deps.
  * Manually choose which kanagram files to (not) install.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 15:56:03 +0000

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 Sune Vuorela <sune@debian.org>
Build-Depends: debhelper (>= 7.3.16),
 cmake,
 pkg-kde-tools (>= 0.14),
 kde-sc-dev-latest (>= 4:4.10),
 libkdeedu-dev (>= 4:4.11.2)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kanagram.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kanagram.git

Package: kanagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdeedu-kvtml-data
Suggests: khelpcenter4
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 4.12.3

=== debian/changelog ===
kanagram (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:23:37 +0100

kanagram (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:20:15 +0100

kanagram (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:38:36 +0000

kanagram (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:57:58 +0000

kanagram (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:27:12 +0000

kanagram (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:33:32 +0000

kanagram (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:45:00 +0100

kanagram (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cmake,
  pkg-kde-tools (>= 0.14),
  kde-sc-dev-latest (>= 4:4.10),
- libkdeedu-dev (>= 4:4.11.2)
+ libkdeedu-dev (>= 4:4.12.3)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram

## kanagram 4.13.0

=== debian/changelog ===
kanagram (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:39:04 +0100

kanagram (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:10:43 +0200

kanagram (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:57:35 +0100

kanagram (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:37:22 +0000

kanagram (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:30:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

## kanagram 4.13.3

=== debian/changelog ===
kanagram (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:21:32 +0200

kanagram (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:48:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cmake,
  pkg-kde-tools (>= 0.14),
  kde-sc-dev-latest (>= 4:4.10),
- libkdeedu-dev (>= 4:4.12.3)
+ libkdeedu-dev (>= 4:4.13.0)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram

## kanagram 4.14.1

=== debian/changelog ===
kanagram (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:30:47 +0200

kanagram (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:34:37 +0200

kanagram (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:16:36 +0200

kanagram (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:28:38 +0200

kanagram (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Add missing libqt4-opengl-dev build depend.
  * Fix install file. Lib changed to qml files.
  * Remove duplicate copyright field in copyright file.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 11:54:26 -0700

kanagram (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:43:28 +0100

kanagram (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 04 Jun 2014 11:08:41 +0200

kanagram (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:39 +0200

kanagram (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:37 +0100

kanagram (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:44 +0100

kanagram (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:48 +0200

kanagram (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:42:59 +0200

kanagram (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Add watch file.
  * Update install file.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:00 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               libqt4-opengl-dev,
               libkdeedu-dev (>= 4:4.14.1),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kanagram.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kanagram.git

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 4.14.2

=== CMakeLists.txt ===
project(kanagram)

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

find_package(LibKdeEdu REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory( doc )
add_subdirectory( src ) 
add_subdirectory( icons ) 
add_subdirectory( sounds ) 

install(FILES kanagram.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake
)

find_package(Qt4 4.7 REQUIRED)

if ("${QT_QTCORE_LIBRARY}" MATCHES lib64)
   set(_Init_LIB_SUFFIX 64)
elseif ("${QT_QTCORE_LIBRARY}" MATCHES lib32)
   set(_Init_LIB_SUFFIX 32)
endif ("${QT_QTCORE_LIBRARY}" MATCHES lib64)

set(kanagram_SRCS
    kanagramgame.cpp
    kanagramenginehelper.cpp
    kdeclarativemainwindow.cpp
    kdeclarativeview.cpp
    main.cpp
    mainwindow.cpp
    mainsettings.cpp
    vocabsettings.cpp
    vocabedit.cpp
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
    ${LIBKDEEDU_INCLUDE_DIR}
)

kde4_add_ui_files(kanagram_SRCS
    vocabsettingswidget.ui
    vocabeditwidget.ui
    mainsettingswidget.ui
)

kde4_add_kcfg_files(kanagram_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kanagramsettings.kcfgc)
qt4_add_dbus_interfaces(kanagram_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml )
kde4_add_executable(kanagram ${kanagram_SRCS})

target_link_libraries(kanagram
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTOPENGL_LIBRARY}
    ${KDE4_PHONON_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${LIBKDEEDU_KEDUVOCDOCUMENT_LIBRARIES}
    ${KANAGRAM_LIBRARIES}
    ${KDE4_KNEWSTUFF3_LIBS}
    kdeclarative
)

install(
    FILES
    kanagram.kcfg
    DESTINATION
    ${KCFG_INSTALL_DIR}
)

install(
    FILES
    kanagram.knsrc
    DESTINATION
    ${CONFIG_INSTALL_DIR}
)

install(
    DIRECTORY package/
    DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.kanagram)

install(
    FILES kanagram.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    TARGETS
    kanagram
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

=== debian/changelog ===
kanagram (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 16 Oct 2014 22:34:50 +0200

kanagram (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:43 +0200

kanagram (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 20:57:48 +0200

kanagram (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 10:10:30 +0200

kanagram (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 11:12:16 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               libqt4-opengl-dev,
               libkdeedu-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kanagram.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kanagram.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kanagram

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kanagram-([\d.]+).tar.xz

## kanagram 14.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(kanagram)

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)
find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick OpenGL)
find_package(Qt5 OPTIONAL_COMPONENTS PrintSupport)

find_package(ECM 1.3.0 NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)

find_package(KF5 REQUIRED COMPONENTS
    I18n
    Crash
    Sonnet
    Config
    ConfigWidgets
    CoreAddons
    Declarative
    DocTools
    KIO
    NewStuff
)
include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Phonon4Qt5 4.6.60 NO_MODULE)

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( sounds )

install(FILES kanagram.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

=== src/CMakeLists.txt ===
set(kanagram_SRCS
    kanagramconfigdialog.cpp
    kanagramgame.cpp
    main.cpp
    mainwindow.cpp
    mainsettings.cpp
    vocabsettings.cpp
    vocabedit.cpp
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDES}
    ${LIBKEDUVOCDOCUMENT_INCLUDE_DIR}
    ${PHONON_INCLUDES}
)

ki18n_wrap_ui(kanagram_SRCS
    vocabsettingswidget.ui
    vocabeditwidget.ui
    mainsettingswidget.ui
)

kconfig_add_kcfg_files(kanagram_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kanagramsettings.kcfgc)
# qt5_add_dbus_interfaces(kanagram_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml )
add_executable(kanagram ${kanagram_SRCS})

target_link_libraries(kanagram
    Qt5::Quick
    Qt5::Core
    KF5::CoreAddons
    KF5::I18n
    KF5::NewStuff
    KF5::SonnetCore
    KF5::Declarative
    KF5::Crash
    LibKEduVocDocumentImport__KEduVocDocument
    Phonon::phonon4qt5
)

install(
    FILES
    kanagram.kcfg
    DESTINATION
    ${KCFG_INSTALL_DIR}
)

install(
    FILES
    kanagram.knsrc
    DESTINATION
    ${CONFIG_INSTALL_DIR}
)

install(
    DIRECTORY ui/
    DESTINATION ${DATA_INSTALL_DIR}/kanagram/ui)

install(
    FILES kanagram.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    TARGETS
    kanagram
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

=== debian/changelog ===
kanagram (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:47:27 -0700

kanagram (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:39:36 -0800

kanagram (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Bump standards version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 12:05:08 +0100

kanagram (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Philip Muškovac ]
  * New upstream release candidate
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer
  * Update build-dependencies for the kf5 port
  * refresh kanagram.install
  * Suggest khelpcenter instead of khelpcenter4.
  * Switch to v3 dhmk for kf5

  [ Harald Sitter ]
  * Remove redundant destdir definition in rules
  * Fix install path of etc/xdg
  * Drop install file to make dh_install noop
  * Remove deprecated not-installed
  * Add lintian override
  * Fix copyright format to be spec compliant

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Dec 2014 14:33:19 +0100

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kde-sc-dev-latest (>= 4:4.12),
               kdoctools-dev,
               libkeduvocdocument-dev (>= 4:14.11.95),
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5newstuff-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev,
               pkg-kde-tools (>= 0.14),
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kanagram.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kanagram.git

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 15.08.2

=== debian/changelog ===
kanagram (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:57:06 +0100

kanagram (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:15:43 +0100

kanagram (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:07:19 +0100

kanagram (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:32:24 +0100

kanagram (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:36:05 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,13 @@
 
 Package: kanagram
 Architecture: any
-Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
+Depends: kdeedu-kvtml-data,
+         qml-module-qtmultimedia,
+         qml-module-qtquick-controls,
+         qml-module-qtquick2,
+         qml-module-qtwebkit,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: khelpcenter
 Description: jumble word puzzle
  KAnagram is a game where a random word is shown with its letters scrambled.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kanagram-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kanagram-([\d.]+).tar.xz

## kanagram 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,17 @@
 
 include(FeatureSummary)
 find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick OpenGL)
-find_package(Qt5 OPTIONAL_COMPONENTS PrintSupport)
+find_package(Qt5 QUIET OPTIONAL_COMPONENTS TextToSpeech)
+if (NOT Qt5TextToSpeech_FOUND)
+    message(STATUS "Qt5TextToSpeech not found, speech feature will be disabled")
+else()
+    add_definitions(-DHAVE_SPEECH)
+endif()
 
-find_package(ECM 1.3.0 NO_MODULE REQUIRED)
+find_package(ECM 1.7.0 NO_MODULE REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
+include(ECMAddAppIcon)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings)
@@ -34,14 +40,13 @@
 )
 include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )
 
-find_package(Phonon4Qt5 4.6.60 NO_MODULE)
-
 find_package(LibKEduVocDocument REQUIRED)
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
 add_subdirectory( doc )
 add_subdirectory( src )
 add_subdirectory( icons )
-add_subdirectory( sounds )
 
-install(FILES kanagram.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
+install(FILES org.kde.kanagram.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)
+
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kanagram (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:01:39 -0700

kanagram (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:28:09 +0100

kanagram (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:22:15 +0100

kanagram (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:35:51 +0000

kanagram (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:06 +0100

kanagram (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:12 +0200

kanagram (4:15.08.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * New upstream release
  * Update kanagram QML module depends based on Kubuntu

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 Sep 2015 12:50:25 -0400

kanagram (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:34 +0200

kanagram (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 00:21:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,30 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kde-sc-dev-latest (>= 4:4.12),
+               extra-cmake-modules (>= 1.7.0~),
                kdoctools-dev,
+               kio-dev,
                libkeduvocdocument-dev (>= 4:14.11.95),
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
                libkf5crash-dev,
                libkf5declarative-dev,
+               libkf5i18n-dev,
                libkf5newstuff-dev,
-               libphonon4qt5-dev,
+               libkf5sonnet-dev,
+               libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
-               libqt5opengl5-dev,
-               pkg-kde-tools (>= 0.14),
-               qtdeclarative5-dev
+               libqt5opengl5-dev (>= 5.4),
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kanagram.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kanagram.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kanagram.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kanagram.git
 
 Package: kanagram
 Architecture: any
